com.aliyun.svideosdk.common.struct.effect

## Class TransitionBase

- java.lang.Object
- - com.aliyun.svideosdk.common.struct.project.Effect
  - - com.aliyun.svideosdk.common.struct.effect.TransitionBase

- Direct Known Subclasses:
    TransitionCircle, TransitionFade, TransitionFiveStar, TransitionShutter, TransitionTranslate

      public class TransitionBase
      extends Effect

  转场效果的基类 具体有以下几种类型 `TransitionCircle`——圆形打开 `TransitionFade`——淡入淡出 `TransitionFiveStar`——五角星打开 `TransitionShutter`——百叶窗 `TransitionTranslate`——平移效果

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class com.aliyun.svideosdk.common.struct.project.Effect

      `Effect.Type`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static int` | `DIRECTION_DOWN` 向下移动
    `static int` | `DIRECTION_LEFT` 向左移动
    `static int` | `DIRECTION_RIGHT` 向右移动
    `static int` | `DIRECTION_UP` 向上移动
    `protected Source` | `mCustomSource` 自定义特效地址
    `protected java.lang.String` | `mParamsString`
    `int` | `mType` 转场类型
    `static int` | `ORIENTATION_HORIZONTAL` 横向移动
    `static int` | `ORIENTATION_VERTICAL` 纵向移动
    `static int` | `TRANSITION_TYPE_CIRCLE` 圆形打开
    `static int` | `TRANSITION_TYPE_CUSTOM` 自定义
    `static int` | `TRANSITION_TYPE_FADE` 淡入淡出
    `static int` | `TRANSITION_TYPE_FIVEPOINTSTAR` 五角星打开
    `static int` | `TRANSITION_TYPE_SHUTTER` 百叶窗
    `static int` | `TRANSITION_TYPE_TRANSLATE` 平移

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `TransitionBase()`
    `TransitionBase(Source source)`
    `TransitionBase(java.lang.String path)` Deprecated.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `Source` | `getCustomSource()`
    `EffectConfig` | `getEffectConfig()`
    `java.util.List<EffectConfig.NodeBean>` | `getNodeTree()`
    `long` | `getOverlapDuration()` 转场效果前后两段视频的重叠时间
    `long` | `getOverlapDuration(java.util.concurrent.TimeUnit timeUnit)` 转场效果前后两段视频的重叠时间
    `void` | `setCustomSource(Source customSource)`
    `void` | `setEffectConfig(EffectConfig effectConfig)`
    `void` | `setOverlapDuration(long overlapDurationUs)` 转场效果前后两段视频的重叠时间
    `void` | `setOverlapDuration(long overlapDuration, java.util.concurrent.TimeUnit timeUnit)` 转场效果前后两段视频的重叠时间
    `void` | `setParamsString(java.lang.String paramsString)`
    `java.lang.String` | `toJsonString()` 获取自定义转场对象的Params参数

    - ### Methods inherited from class com.aliyun.svideosdk.common.struct.project.Effect

      `getType`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### TRANSITION_TYPE_SHUTTER

          public static final int TRANSITION_TYPE_SHUTTER

      百叶窗
      See Also:
        Constant Field Values

    - #### TRANSITION_TYPE_TRANSLATE

          public static final int TRANSITION_TYPE_TRANSLATE

      平移
      See Also:
        Constant Field Values

    - #### TRANSITION_TYPE_CIRCLE

          public static final int TRANSITION_TYPE_CIRCLE

      圆形打开
      See Also:
        Constant Field Values

    - #### TRANSITION_TYPE_FIVEPOINTSTAR

          public static final int TRANSITION_TYPE_FIVEPOINTSTAR

      五角星打开
      See Also:
        Constant Field Values

    - #### TRANSITION_TYPE_FADE

          public static final int TRANSITION_TYPE_FADE

      淡入淡出
      See Also:
        Constant Field Values

    - #### TRANSITION_TYPE_CUSTOM

          public static final int TRANSITION_TYPE_CUSTOM

      自定义
      See Also:
        Constant Field Values

    - #### ORIENTATION_HORIZONTAL

          public static final int ORIENTATION_HORIZONTAL

      横向移动
      See Also:
        Constant Field Values

    - #### ORIENTATION_VERTICAL

          public static final int ORIENTATION_VERTICAL

      纵向移动
      See Also:
        Constant Field Values

    - #### DIRECTION_LEFT

          public static final int DIRECTION_LEFT

      向左移动
      See Also:
        Constant Field Values

    - #### DIRECTION_RIGHT

          public static final int DIRECTION_RIGHT

      向右移动
      See Also:
        Constant Field Values

    - #### DIRECTION_UP

          public static final int DIRECTION_UP

      向上移动
      See Also:
        Constant Field Values

    - #### DIRECTION_DOWN

          public static final int DIRECTION_DOWN

      向下移动
      See Also:
        Constant Field Values

    - #### mType

          public int mType

      转场类型
      See Also:
        `TRANSITION_TYPE_SHUTTER`, `TRANSITION_TYPE_CIRCLE`, `TRANSITION_TYPE_FADE`, `TRANSITION_TYPE_FIVEPOINTSTAR`, `TRANSITION_TYPE_TRANSLATE`

    - #### mCustomSource

          protected Source mCustomSource

      自定义特效地址

    - #### mParamsString

          protected java.lang.String mParamsString

  - ### Constructor Detail

    - #### TransitionBase

          public TransitionBase()

    - #### TransitionBase

          @Deprecated
          public TransitionBase(java.lang.String path)

      Deprecated.

    - #### TransitionBase

          public TransitionBase(Source source)

  - ### Method Detail

    - #### getNodeTree

          public java.util.List<EffectConfig.NodeBean> getNodeTree()

    - #### setEffectConfig

          public void setEffectConfig(EffectConfig effectConfig)

    - #### getEffectConfig

          public EffectConfig getEffectConfig()

    - #### toJsonString

          public java.lang.String toJsonString()

      获取自定义转场对象的Params参数

    - #### getOverlapDuration

          public long getOverlapDuration()

      转场效果前后两段视频的重叠时间
      Returns:
        overlapDurationUs 单位:微秒

    - #### getOverlapDuration

          public long getOverlapDuration(java.util.concurrent.TimeUnit timeUnit)

      转场效果前后两段视频的重叠时间

      v3.27.0 新增

      Parameters:
        `timeUnit` - 时间单位
      Returns:
        overlapDurationUs 单位:毫秒

    - #### setOverlapDuration

          public void setOverlapDuration(long overlapDurationUs)

      转场效果前后两段视频的重叠时间
      Parameters:
        `overlapDurationUs` - 单位:微秒

    - #### setOverlapDuration

          public void setOverlapDuration(long overlapDuration,
                                         java.util.concurrent.TimeUnit timeUnit)

      转场效果前后两段视频的重叠时间

      v3.27.0 新增

      Parameters:
        `overlapDuration` -
        `timeUnit` - 时间单位

    - #### setParamsString

          public void setParamsString(java.lang.String paramsString)

    - #### setCustomSource

          public void setCustomSource(Source customSource)

    - #### getCustomSource

          public Source getCustomSource()